.clearfix:before,
.clearfix:after {
  display: table;
  content: " ";
}
.clearfix:after {
  clear: both;
}
.ichi-modal {
    z-index: 1070;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.7);
    padding: 30px;
    overflow: auto;
}
.ichi-modal .ichi-modal-dialog {
    background: #fff;
    max-width: 500px;
    margin: 0 auto;
}
.ichi-modal .ichi-modal-dialog.ichi-modal-lg {
    max-width: none;
}
.ichi-modal .ichi-modal-content{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.ichi-modal .ichi-modal-header {
	display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 15px;
    border-bottom: 1px solid #e9ecef;
    line-height: 1.5;
}
.ichi-modal .ichi-modal-header h4 {
    margin: 0;
}
.ichi-modal .ichi-modal-header .btn-close {
    padding: 15px;
    margin: -15px auto -15px -15px;

    float: left;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5;
    
    font-size: 24px;
    background: transparent;
    border: none;
    cursor: pointer;
}
.ichi-modal .ichi-modal-body {
    flex-grow: 1;
    padding: 15px;
}
.ichi-modal .ichi-modal-footer {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: end;
    flex-direction: row-reverse;
    justify-content: space-between;
    padding: 15px;
    border-top: 1px solid #e9ecef;
}
#PhotoPopup .ichi-modal-header {
    position: relative;
	padding: 0;
}
#PhotoPopup .ichi-modal-header .btn-close {
    left: 3px;
    top: 3px;
    position: absolute;
    background: rgba(0,0,0,0.8);
    border-radius: 50%;
    width: 24px;
    height: 24px;
    padding: 0;
    margin: 0;
    color: #fff;
}
#PhotoPopup .ichi-modal-body {
	padding: 0;
}
#PhotoPopup .ichi-modal-body {
	padding: 0;
}
#PhotoPopup .ichi-modal-body {
	padding: 0;
}

.ichi-tabs {
	list-style: none;
    display: flex;
    padding: 0;
    margin: 0;
}
.ichi-tabs li {
    padding: 0;
    margin: 0;
    flex-grow: 1;
}
.ichi-tabs a {
	display:block;
	text-align:center;
	text-decoration:none;
	text-transform:uppercase;
	color:#888;
	padding:20px 0;
	border-bottom:2px solid #888;
	background:#f7f7f7;
}

.ichi-tabs a:hover, .ichi-tabs a.active {
	background:#ddd;
}
.ichi-tabs-content > .ichi-tab-content {
	display: none;
	padding:30px;
	box-shadow:0 3px 10px rgba(0,0,0,.3);
}

.ichi-table-warpper {
	position: relative;
}
.ichi-table-loader {
	display: none;
	position: absolute;
	top:0; right: 0; left: 0; bottom: 0;
	background: url(../images/ichi/loading-ajax.gif) no-repeat center center;
	background-color: rgba(240,240,240,0.5);
    z-index: 1500;
}

.ichi-table-pagination {
	-webkit-box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.7);
    -moz-box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.7);
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.7);
    
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    float: left;
}

.ichi-table-pagination a {
    display: inline-block;
    background: #dddddd;
    color: #666666;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: bold;
    padding: 5px 10px;
    text-align: center;
}

a.ichi-table-pagination-first, a.ichi-table-pagination-previous, a.ichi-table-pagination-previous-disabled, 
a.ichi-table-pagination-last, a.ichi-table-pagination-next, a.ichi-table-pagination-next-disabled {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    background-color: transparent;
    background-image: none;
}

.ichi-table-pagination a:hover:not(.ichi-table-pagination-previous-disabled):not(.ichi-table-pagination-next-disabled),
a.ichi-table-pagination-number-active {
    background: #f45013;
    text-shadow: 0px 0px 0px #ffffff;
    filter: dropshadow(color=#ffffff, offx=0, offy=0);
    color: white;
}
a.ichi-table-pagination-number-active, a.ichi-table-pagination-previous-disabled, a.ichi-table-pagination-next-disabled,
a.ichi-table-pagination-number-active:hover, a.ichi-table-pagination-previous-disabled:hover, a.ichi-table-pagination-next-disabled:hover {
	cursor: default;

	-webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    text-shadow: none;
}







